package com.jasamedika.medifirst2000.service;

import java.util.Date;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.HasilPemeriksaanSwaPantauLimbahCair;
import com.jasamedika.medifirst2000.vo.HasilPemeriksaanSwaPantauLimbahCairVO;

public interface HasilPemeriksaanSwaPantauLimbahCairService <T> extends BaseVoService<HasilPemeriksaanSwaPantauLimbahCair, HasilPemeriksaanSwaPantauLimbahCairVO, String> {

	Map<String, Object> addHasilPemeriksaanSwaPantauLimbahCair(HasilPemeriksaanSwaPantauLimbahCairVO vo);

	Map<String, Object> findAllhasilPemeriksaanSwaPantauLimbahCair();

	boolean deleteHasilPemeriksaanSwaPantauLimbahCair(String noRec);

	Map<String, Object> hasilPemeriksaanSlcPaging(Integer page, Integer limit, String sort, String dir);

	Map<String, Object> findHasilPemeriksaanSlcByPeriode(String periodeAwal, String periodeAkhir);

	Map<String, Double> getInletMeterAirLalu();

	Map<String, Double> getOutletMeterAirLalu();

	Map<String, Object> listHasilPemeriksaanSwaLimbahCair(Integer page, Integer limit, String sort, String dir,String dateStart, String dateEnd);
	
	Map<String, Object> hasilPemeriksaanLimbahCairDetail(String noRec);
	
	Map<String, Object> getHasilPemeriksaanPantauLImbahCair(String startDate, String endDate);

}
